org.springframework.oxm

## Interface GenericMarshaller

- All Superinterfaces:
    Marshaller
  All Known Implementing Classes:
    Jaxb2Marshaller

      public interface GenericMarshaller
      extends Marshaller

  Subinterface of `Marshaller` that has support for Java 5 generics.
  Since:
    3.0.1
  Author:
    Arjen Poutsma

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supports(Type genericType)` Indicates whether this marshaller can marshal instances of the supplied generic type.

    - ### Methods inherited from interface org.springframework.oxm.Marshaller

      `marshal, supports`

- - ### Method Detail

    - #### supports

          boolean supports(Type genericType)

      Indicates whether this marshaller can marshal instances of the supplied generic type.
      Parameters:
        `genericType` - the type that this marshaller is being asked if it can marshal
      Returns:
        `true` if this marshaller can indeed marshal instances of the supplied type; `false` otherwise